#
# spec file for package metronome
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           metronome
Version:        0.2.5
Release:        lp150.1.7
Summary:        Audible beat generator
License:        GPL-3.0+
Group:          Productivity/Multimedia/Other
URL:            https://github.com/artemanufrij/metronome
Source:         https://github.com/artemanufrij/metronome/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  elementary-cmake-modules
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
A program for Elementary OS that produces an audible beat — a click
or other sound — at regular intervals that the user can set in beats
per minute (BPM).

%lang_package

%prep
%setup -q

mv debian/copyright COPYING

%build
%cmake \
      -DGSETTINGS_COMPILE=OFF
make %{?_smp_mflags}

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/appdata
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
mv %{buildroot}%{_datadir}/{metainfo,appdata}/com.github.artemanufrij.metronome.appdata.xml
mv %{buildroot}%{_datadir}/icons/hicolor/{,scalable/apps/}artemanufrij.metronome.svg

%suse_update_desktop_file -r com.github.artemanufrij.metronome GTK AudioVideo Sequencer
%find_lang com.github.artemanufrij.metronome %{name}.lang
%fdupes %{buildroot}%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%doc COPYING README.md
%{_bindir}/com.github.artemanufrij.metronome
%dir %{_datadir}/appdata
%{_datadir}/appdata/com.github.artemanufrij.metronome.appdata.xml
%{_datadir}/applications/com.github.artemanufrij.metronome.desktop
%dir %{_datadir}/com.github.artemanufrij.metronome
%{_datadir}/com.github.artemanufrij.metronome/
%{_datadir}/glib-2.0/schemas/org.pantheon.metronome.gschema.xml
%{_datadir}/icons/hicolor/*/apps/artemanufrij.metronome.??g

%files lang -f %{name}.lang

%changelog
* Tue Dec 26 2017 jengelh@inai.de
- Update description
* Wed Nov  8 2017 avvissu@yandex.by
- Update to 0.2.5:
  * Moved from Granite.Application to Gtk.Application
  * Removed About Dialog
  * Add Icon size 32px
  * Add Icon size 48px
  * Added Screenshot
  * Added information for AppStore
- Switch from bzr to git
- Add elementary-cmake-modules
- Add glib2_gsettings_schema_requires macro
- Use appdata instead of metainfo
- Add COPYING file
- Add package with translations
- Spec file cleanup
* Sun Mar  6 2016 and.november@opensuse.org
- initial package for openSUSE
